classification
Title: turtle "settiltangle" should be marked deprecated, not "tiltangle"
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, georg.brandl, mnewman
Priority: normal Keywords:

Created on 2010-02-09 00:15 by mnewman, last changed 2010-02-14 03:13 by ezio.melotti. This issue is now closed.

Messages (2)
msg99077 - (view) Author: Michael Newman (mnewman) Date: 2010-02-09 00:15
In the turtle module documentation:
http://docs.python.org/3.1/library/turtle.html
http://docs.python.org/py3k/library/turtle.html

Currently it says "Deprecated since Python 3.1" under the "turtle.tiltangle" section. That should be under "turtle.settiltangle" instead.

For reference, the comments at the end of the documentation page correctly explains:
"Turtle.tiltangle() has been enhanced in functionality: it now can be used to get or set the tiltangle. Turtle.settiltangle() has been deprecated."
msg99335 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-02-14 03:13
Fixed in r78180 (py3k) and r78181 (release31-maint), thanks for the report!
History
Date User Action Args
2010-02-14 03:13:08ezio.melottisetstatus: open -> closed
messages: + msg99335

assignee: georg.brandl -> ezio.melotti
resolution: fixed
stage: needs patch -> resolved
2010-02-12 02:35:21ezio.melottisetpriority: normal
nosy: + ezio.melotti

stage: needs patch
2010-02-09 00:15:13mnewmancreate